Trying to upgrade a Road Hog 3 fresh ISO install to v3.2.6

Hi,
I have two road hog 3 consoles with recently disks replaced to SDD's,
I've performed on both successful fresh full ISO restore (1.8.1 - ver. 3.2.1).
After a while I got back to them, to make upgrade to v3.2.6 (needed compatibility with h4 shows).
Unfortunately every attempt of running 3.2.6 msi file was returning:
"the selected software upgrade is not a valid whole hog software upgrade"
Yesterday I've managed to install "step by step", from v3.2.2 up to v3.2.4 and that's it.
Both files v3.2.5 and 3.2.6 are returning the same window:
"the selected software upgrade is not a valid whole hog software upgrade"
any thoughts?

Thanks in advance,
Chris

Comments

  • ombrelombrel Registered User
    Seriously no one here had any issues with the road hog 3 update?
    Because it happened on two separate desks, I am more likely to believe I am making some kind of a mistake.

    Chris
  • Noah_AllenNoah_Allen Registered User, HES Staff
    Hello,

    So Hog3 is a bit special, updating software, and getting custom fixtures is done differently than Hog4. Depending on which version you are coming from determines how you update the software. Consult the release notes for which route to update.

    Console update:


    I would recommend the most recent software version of Hog3,as it is the most reliable, and the most feature rich. That being said, if youhave any DP2000s in stock, they will only work with Hog3 V3.1.9 (B2946). If you do not anticipate the console to need to work with DP2000s I would advise being on the most recent version of Hog3 V3.2.6 (B3434)

    Hog3 Most Recent Software (Under Hog3)

    Hog3 Software Archive (Older versions)

    Hog3 Manual

    See: Section 36: Upgrading and Care of the Console for instructions on how to install software, please read them carefully, because different steps might need to be taken on different consoles, as well as from each software version the console is currently on.

    Keep in mind that a full install will completely wipe the console, any show files, or libraries on the console will be wiped, It is recommended to backup these files to external media before updating.
  • Noah_AllenNoah_Allen Registered User, HES Staff
    Fixture Library update:

    See: 13.9 Merging Shows for instructions to merge fixtures into your showfile.

    Hog3 Fixture Library

    Full Library v4.3.197 [tar.gz]

    Most recent Library version, should have most fixtures created for Hog3

    Custom Library v4.3.197 [tar.gz]

    Custom built fixtures, built for specific users under specific circumstances.

    Uncommon Library v4.3.197 [tar.gz]

    Uncommon fixtures, There is a limit to the size a library can be on Hog3, so most uncommon fixtures not in the “Full” Library are in this library.

    Additional Hog 3 Libraries [ftp site]

    Single Fixture downloads. Keep in mind .hog3 libs will work on Hog3 and Hog4, but Hog4 libs will not work on Hog3.
  • ombrelombrel Registered User
    In Wholehog v3.2.6 Release Notes you can find:
    Installation Instructions
    "All Wholehog 3 generation consoles can be upgraded to v3.2.6 from any version of v3.2.X
    except the Wholehog 3 Console which should upgraded using the full restore if running v3.2.1
    or older.(...)"

    As I said, I've done already full ISO system restore and both consoles are working just fine.
    Moreover with SDD's they are fast and furious.
    My only concerns,
    I can not use the latest libraries available (they need v3.2.6)
    and I can not use old hog4 shows I was using on those roadhogs before change of the disks.
    What I have achieved so far:
    1 new SDD disk installed
    2 RoadHog System Restore image installed from the usb stick
    3 backup shows imported / only hog3 shows are working.
    4 I was trying to install v3.2.6 than 3.2.5 and 3.2.4 with no luck.
    5 I managed to install version after version v3.2.2 then 3.2.3 and 3.2.4 and thats it.
    both msi files (3.2.5 and 3.2.6) are returning the same error.

    Chris
  • Noah_AllenNoah_Allen Registered User, HES Staff
    Which library file are you trying to install?
  • ombrelombrel Registered User
    Problem solved.
    My mistake was to use 1 pendrive to update both consoles.
    For some reason,
    2 out of 5 downloaded msi files (3.2.5 and 3.2.6) was unusable.
    After many attempts, I have found solution.
    Issue was standard Windows EFS. When file is copied to the usb stick (FAT) it stays encrypted at the destination. Such encrypted file is inaccessible on any other Windows PC (road hog) where my USB drive gets plugged in. In the end I had to use in command line "cipher /a /d" on the whole disk and it worked. Also I had to change the pendrive because the one I was using before started to loose content after move/copy files in explorer (no clue why)

    @Noah_Allen
    I did not try to install anything incompatible with the software version.
    Last known libraries are for soft version 3,2,6 and you could not use them on any previous versions.
    It was my one of the main reasons to upgrade the console.

    Chris
  • Noah_AllenNoah_Allen Registered User, HES Staff
    Glad you were able to get this sorted out! That is a bit of an interesting and odd workaround.
  • ombrelombrel Registered User
    I was even trying to download files directly to the pen drive, nothing worked just my frustration level got higher.
    At least removing encryption on personal laptop is not a big deal, as there is no sensitive information and I am not travelling anywhere with it.
    Although I have to say it is a bit odd because first 3 files was fine just the last ones ended up inaccessible.

    In the end, it's just basic physics,
    when work does not depend on the path taken ;)
Sign In or Register to comment.